跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
This is the documentation of the next version, still under development. See the latest release.

Search for issues across the repositories that the user has access to

GET
/repos/issues/search
curl --request GET \
--url 'https://gitea.com/api/v1/repos/issues/search?state=open&type=issues&assigned=false&created=false&mentioned=false&review_requested=false&reviewed=false&page=1' \
--header 'Authorization: Basic <credentials>'
state
string
default: open
Allowed values: open closed all

State of the issue

labels
string

Comma-separated list of label names. Fetch only issues that have any of these labels. Non existent labels are discarded.

milestones
string

Comma-separated list of milestone names. Fetch only issues that have any of these milestones. Non existent milestones are discarded.

q
string

Search string

type
string
Allowed values: issues pulls

Filter by issue type

since
string format: date-time

Only show issues updated after the given time (RFC 3339 format)

before
string format: date-time

Only show issues updated before the given time (RFC 3339 format)

assigned
boolean

Filter issues or pulls assigned to the authenticated user

created
boolean

Filter issues or pulls created by the authenticated user

mentioned
boolean

Filter issues or pulls mentioning the authenticated user

review_requested
boolean

Filter pull requests where the authenticated user’s review was requested

reviewed
boolean

Filter pull requests reviewed by the authenticated user

owner
string

Filter by repository owner

created_by
string

Only show items which were created by the given user

team
string

Filter by team (requires organization owner parameter)

page
integer
default: 1 >= 1

Page number of results to return (1-based)

limit
integer

Number of items per page

IssueList

Media typeapplication/json
Array<object>

Issue represents an issue in a repository

object
assets
Array<object>

Attachment a generic attachment

object
browser_download_url

DownloadURL is the URL to download the attachment

string
created_at

Created is the time when the attachment was uploaded

string format: date-time
download_count

DownloadCount is the number of times the attachment has been downloaded

integer format: int64
id

ID is the unique identifier for the attachment

integer format: int64
name

Name is the filename of the attachment

string
size

Size is the file size in bytes

integer format: int64
uuid

UUID is the unique identifier for the attachment file

string
assignee

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
Allowed values: public limited private
website

The user’s website

string
assignees
Array<object>

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
Allowed values: public limited private
website

The user’s website

string
body
string
closed_at
string format: date-time
comments
integer format: int64
content_version

The version of the issue content for optimistic locking

integer format: int64
created_at
string format: date-time
due_date
string format: date-time
html_url
string
id
integer format: int64
is_locked
boolean
labels
Array<object>

Label a label to an issue or a pr

object
color
string
description

Description provides additional context about the label’s purpose

string
exclusive
boolean
id

ID is the unique identifier for the label

integer format: int64
is_archived
boolean
name

Name is the display name of the label

string
url

URL is the API endpoint for accessing this label

string
milestone

Milestone milestone is a collection of issues on one repository

object
closed_at
string format: date-time
closed_issues

ClosedIssues is the number of closed issues in this milestone

integer format: int64
created_at
string format: date-time
description

Description provides details about the milestone

string
due_on
string format: date-time
id

ID is the unique identifier for the milestone

integer format: int64
open_issues

OpenIssues is the number of open issues in this milestone

integer format: int64
state

State indicates if the milestone is open or closed

string
Allowed values: open closed
title

Title is the title of the milestone

string
updated_at
string format: date-time
number
integer format: int64
original_author
string
original_author_id
integer format: int64
pin_order
integer format: int64
projects
Array<object>
Project represents a project.

Projects track issues and pull requests, standalone note cards are not supported.

object
card_type

Card type: “text_only” or “images_and_text”

string
closed_at
string format: date-time
created_at
string format: date-time
creator

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
Allowed values: public limited private
website

The user’s website

string
creator_id

Deprecated: use Creator instead

integer format: int64
description
string
html_url
string
id
integer format: int64
is_closed

Deprecated: use State instead

boolean
num_closed_issues
integer format: int64
num_issues
integer format: int64
num_open_issues
integer format: int64
owner_id
integer format: int64
repo_id
integer format: int64
state
string
Allowed values: open closed
template_type

Template type: “none”, “basic_kanban” or “bug_triage”

string
title
string
type

Project type: “individual”, “repository” or “organization”

string
updated_at

Null only for legacy rows that carry no update timestamp

string format: date-time
pull_request

PullRequestMeta PR info if an issue is a PR

object
draft
boolean
html_url
string
merged
boolean
merged_at
string format: date-time
ref
string
repository

RepositoryMeta basic repository information

object
full_name
string
id
integer format: int64
name
string
owner
string
state
string
Allowed values: open closed
time_estimate
integer format: int64
title
string
updated_at
string format: date-time
url
string
user

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
Allowed values: public limited private
website

The user’s website

string
Example
[
{
"assignee": {
"login_name": "empty",
"visibility": "public"
},
"assignees": [
{
"login_name": "empty",
"visibility": "public"
}
],
"labels": [
{
"color": "00aabb",
"exclusive": false,
"is_archived": false
}
],
"milestone": {
"state": "open"
},
"projects": [
{
"creator": {
"login_name": "empty",
"visibility": "public"
},
"state": "open"
}
],
"state": "open",
"user": {
"login_name": "empty",
"visibility": "public"
}
}
]

APIError is error format response

Media typeapplication/json
message
string
url
string

APIValidationError is error format response related to input validation

Media typeapplication/json
message
string
url
string